Bug 45525 - NFS can not export a FAT partition
NFS can not export a FAT partition
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-22 11:15 EDT by Christian Lepine
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 06:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Lepine 2001-06-22 11:15:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When I try to export a FAT partition, I get a Invalid argument when I 
restart NFS.

How reproducible:
Always

Steps to Reproduce:
1.Export a FAT partition in /etc/exports in rw mode
2.Restart NFS

	

Actual Results:  Invalid argument

Expected Results:  The NFS export is available in the client computer

Additional info:
Comment 1 Arjan van de Ven 2001-06-22 11:38:47 EDT
FAT cannot be NFS exported. NFS requires inode-numbers to be consistent,
while FAT doesn't have inode numbers so the kernel can only make numbers up,
which as a result aren't consistent (across reboots)
Comment 2 Christian Lepine 2001-06-22 12:51:43 EDT
It was working with RedHat 7.0 !
Comment 3 Patrice Guay 2003-11-19 11:58:20 EST
I exported a VFAT filesystem via NFS with read-write permissions.
When I try to copy files to this disk (cp -auf ...), the first files
are copied correctly then it starts complaining about the NFS file
handle (French message : "panne d'accès au fichier NFS") and skips all
the remaining files with the same error message.

Note You need to log in before you can comment on or make changes to this bug.